<?xml version="1.0" encoding="latin1" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2003</year><year>2009</year>
      <holder>Ericsson AB. All Rights Reserved.</holder>
    </copyright>
    <legalnotice>
      The contents of this file are subject to the Erlang Public License,
      Version 1.1, (the "License"); you may not use this file except in
      compliance with the License. You should have received a copy of the
      Erlang Public License along with this software. If not, it can be
      retrieved online at http://www.erlang.org/.
    
      Software distributed under the License is distributed on an "AS IS"
      basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
      the License for the specific language governing rights and limitations
      under the License.
    
    </legalnotice>

    <title>orber_diagnostics</title>
    <prepared></prepared>
    <responsible></responsible>
    <docno></docno>
    <approved></approved>
    <checked></checked>
    <date>2003-04-17</date>
    <rev>A</rev>
  </header>
  <module>orber_diagnostics</module>
  <modulesummary>Diagnostics API for Orber</modulesummary>
  <description>
    <p>This module contains functions which makes it possible to run simple
      tests.</p>
    <p></p>
    <warning>
      <p>Functions exported by this module may only be used during
        test and development phase.</p>
    </warning>
  </description>
  <funcs>
    <func>
      <name>nameservice() -> Result</name>
      <name>nameservice(Flags) -> Result</name>
      <fsummary>Display all objects stored in the Name Service</fsummary>
      <type>
        <v>Flags = integer()</v>
        <v>Result = ok | {'EXCEPTION', E}</v>
      </type>
      <desc>
        <p>Displays all objects stored in the NameService. Existent checks are, per 
          default, also performed on all local objects. This can also be activated 
          for external objects by setting the flag <c>16#01</c>. The displayed
          information is the stringified Name described in 
          <seealso marker="CosNaming_NamingContextExt">CosNaming_NamingContextExt</seealso>,
          non existent status (true | false | external | undefined) and the IFR-Id:</p>
        <code type="none">
host/
host/resources/
host/resources/MyObj/ [false] IDL:MyMod/MyIntf:1.0        </code>
      </desc>
    </func>
    <func>
      <name>missing_modules() -> Count</name>
      <fsummary>Echo missing modules required by Orber</fsummary>
      <type>
        <v>Count = integer()</v>
      </type>
      <desc>
        <p>This operation list missing modules generated by IC and required by
          Orber. Requires that all API:s are registered in the IFR.</p>
      </desc>
    </func>
  </funcs>
  
</erlref>

